Subject: FVWM: Re: several messages

From: "C. v. Stuckrad" <[email-masked]>
Date: Fri, 4 Jul 1997 10:31:49 +0200 (MET DST)

On the problem of running an InitFunction created by CPP or M4
I found the following Mails in my archive: (extremely shortened :-)

On Tue, 31 Jan 1995, Martin Kraemer wrote:
> Subject: fvwm-pre-2.0pl5 does not execute my InitFunction. Why?
...
> I am using M4 for that.
...and InitFunction fails...

On Thu, 2 May 1996, Ian Thurlbeck wrote:
> This works fine if its in my .fvwm2rc file.
...
> However, if I put this in a file called .fvwm2cpp, and make my
> .fvwm2rc file:
...
> RestartFunction doesn't work either.

On Wed, 15 Jan 1997, Paul Lange wrote:
> In my .fvwmrc, I run FvwmCpp on several files.  A file for styles, one for 
> functions, one for menus, one for modules, one for keymaps, yadda yadda yadda.
> However, if I add to the InitFunction in one of these files, the new
> InitFunction never gets ran unless I open an FvwmTalk and execute myself or

On Wed, 15 Jan 1997, Charles Hines wrote:
> Various problems with using the FvwmM4 & FvwmCpp modules have always
> existed, with the two most prevalent being:
>         - rc defaults not taking effect on windows that were in
>           existence before fvwm started
>         - startup functions not being executed.
> 
> I have yet to really be able to really reproduce the first.  But I
> just tried a quick test with the second (your problem) and after
> adding some more debugging statements to the code I was able to
> reproduce it and see what the problem actually is a little better as
> well.
... ... ...
> Well, I have to get back to some pressing problems here at work.  I'll
> look into this problem more later if I get a chance, but I doubt I'll
> be able to get anything for it into 2.0.44 (which I'd like to get out

My ideas to that:

As it seems the functions in the >>real first 'read'<<
are executed before the first module is activated.

1)	Is there ANY way to RUN something at the LAST MOMENT
	of the initialisation processing, and this being AFTER
	all the modules are started ?

2)	Is there any other way to >>decide on the DISPLAY's setup<<
	what to do in an Init/Restart-Function than via CPP or MW
	(because the latter do not work :-) ?

We have a few LINUXes which can run different color-depth and
therefore different sizes of virtual screens, so that the look
and feel of the 'screen' does heavily depend on the Screensize.

I would like to be able to set the User's startups in a way that
their overall/relative-look of the screen is the same on all the
xdm/startx 8/16/24-bpp Setups.

Maybe there is a combination of resources and fvwm[2] which does it ?

Sincerely your's    Stucki

Christoph von Stuckrad       * *  | talk to  | <[email-masked]> \
Freie Universitaet Berlin    |/_* | nickname | ...!unido!fub!leibniz!stucki|
Fachbereich Mathematik, EDV  |\ * | 'stucki' | Tel:+49 30 838-7545{9|8}    |
Arnimallee 2-6/14195 Berlin  * *  |  on IRC  | Fax:+49 30 838-5913        /

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].